package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.omp.model.DeviceInfoState;
import com.zy.omp.pojo.vo.WxLatestDeviceState;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 设备状态信息
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceInfoStateMapper extends BaseMapper<DeviceInfoState> {

    /**
     * 通过用户openId 查询该用户的默认设备
     *
     * @param openId 用户openId
     */
    WxLatestDeviceState getDefaultByOpenId(@Param("openId") String openId);
}
