package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.omp.pojo.io.pc.DeviceIO;
import com.zy.omp.model.Device;
import com.zy.omp.pojo.vo.DeviceListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceMapper extends BaseMapper<Device> {

    /**
     * 后台
     * 分页查询设备列表
     *
     * @param page 分页条件
     * @param io   查询条件
     */
    IPage<DeviceListVo> listPage(IPage<DeviceListVo> page, @Param("io") DeviceIO io);
}
