package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.omp.pojo.io.pc.UserIO;
import com.zy.omp.model.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 微信用户Mapper
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface UserMapper extends BaseMapper<User> {
    /**
     * 分页查询用户列表
     *
     * @param page 分页条件
     * @param io   查询条件
     */
    IPage<User> listPage(IPage<User> page, @Param("io") UserIO io);
}
