package com.zy.omp.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.mapper.DeviceInfoStateMapper;
import com.zy.omp.model.DeviceInfoState;
import com.zy.omp.pojo.vo.WxLatestDeviceState;
import org.springframework.stereotype.Service;

/**
 * 设备位置信息相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class DeviceInfoStateService extends ServiceImpl<DeviceInfoStateMapper, DeviceInfoState> {

    /**
     * 通过用户openId 查询该用户的设备集合
     *
     * @param openId 用户openId
     */
    public WxLatestDeviceState getLatestState(String openId) {
        return baseMapper.getDefaultByOpenId(openId);
    }
}
